at.chipkarte.client.elgaad.soap.constants

## Class HL7ValueTypeConstants

- Object
- - at.chipkarte.client.elgaad.soap.constants.HL7ValueTypeConstants

-     public class HL7ValueTypeConstants
      extends Object

  Konstanten für den HL7 Value-Typ

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BL` Boolean.
    `static String` | `CD` Code vom Typ "CD" (s.
    `static String` | `CV` Code mit Version (optional).
    `static String` | `DOUBLE` Kommazahl.
    `static String` | `INT` Integer (Ganzzahl).
    `static String` | `IVL_INT` Intervall von Integers (Ganzzahlen).
    `static String` | `IVL_PQ` Intervall von Wert/Einheit-Paaren.
    `static String` | `IVXB_INT` Integer (Ganzzahl) als Teil eines Intervalls, mit Information, ob der Wert Teil des Intervalls ist.
    `static String` | `IVXB_PQ` Wert/Einheit-Paar als Teil eines Intervalls, mit Information, ob der Wert Teil des Intervalls ist.
    `static String` | `PQ` Wert/Einheit-Paar.
    `static String` | `RTO` Bruch oder Verhältnis.
    `static String` | `RTO_PQ_PQ` Bruch oder Verhältnis von Wert/Einheit-Paaren.
    `static String` | `RTO_QTY_QTY` Bruch oder Verhältnis.
    `static String` | `ST` String (Zeichenkette).
    `static String` | `TS` Datum oder Datum + Uhrzeit.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HL7ValueTypeConstants()`

  - ### Method Summary

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PQ

          public static final String PQ

      Wert/Einheit-Paar. Beispiel: 13 ml.
      See Also:
        `HL7CompoundType.PQ`, Constant Field Values

    - #### IVL_PQ

          public static final String IVL_PQ

      Intervall von Wert/Einheit-Paaren. Beispiel: 3 ml (inkl.) - 17 ml (exkl.).
      See Also:
        `HL7CompoundType.INTERVAL`, `HL7CompoundType.BOUNDED`, Constant Field Values

    - #### IVXB_PQ

          public static final String IVXB_PQ

      Wert/Einheit-Paar als Teil eines Intervalls, mit Information, ob der Wert Teil des Intervalls ist. Beispiel: 3 ml (inkl.)
      See Also:
        `HL7CompoundType.BOUNDED`, Constant Field Values

    - #### INT

          public static final String INT

      Integer (Ganzzahl). Beispiel: 42
      See Also:
        Constant Field Values

    - #### IVXB_INT

          public static final String IVXB_INT

      Integer (Ganzzahl) als Teil eines Intervalls, mit Information, ob der Wert Teil des Intervalls ist. Beispiel: 42 (exkl.)
      See Also:
        `HL7CompoundType.BOUNDED`, Constant Field Values

    - #### IVL_INT

          public static final String IVL_INT

      Intervall von Integers (Ganzzahlen). Beispiel: 41 (inkl.) - 92 (exkl.).
      See Also:
        `HL7CompoundType.INTERVAL`, `HL7CompoundType.BOUNDED`, Constant Field Values

    - #### BL

          public static final String BL

      Boolean. Gültige Werte: true, false
      See Also:
        Constant Field Values

    - #### ST

          public static final String ST

      String (Zeichenkette). Beispiel: "Kroklokwafzi"
      See Also:
        Constant Field Values

    - #### CV

          public static final String CV

      Code mit Version (optional).
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### TS

          public static final String TS

      Datum oder Datum + Uhrzeit. Es ist auch möglich, nur Jahr bzw. Jahr und Monat anzugeben.
      Beispiele:
      - 2019
      - 201903 (= März 2019)
      - 20190305 (= 5. März 2019)
      - 20190305170351+1 (= 5. März 2019, 17:03:51, Zeitzone +1)
      See Also:
        Constant Field Values

    - #### CD

          public static final String CD

      Code vom Typ "CD" (s. CDA).
      See Also:
        `HL7CompoundType.CODE`, Constant Field Values

    - #### RTO

          public static final String RTO

      Bruch oder Verhältnis. Beispiel: 3 / 7 oder 4 : 9.
      See Also:
        `HL7CompoundType.RATIO`, Constant Field Values

    - #### RTO_QTY_QTY

          public static final String RTO_QTY_QTY

      Bruch oder Verhältnis. Beispiel: 3 / 7 oder 4 : 9.
      See Also:
        `HL7CompoundType.RATIO`, Constant Field Values

    - #### RTO_PQ_PQ

          public static final String RTO_PQ_PQ

      Bruch oder Verhältnis von Wert/Einheit-Paaren. Beispiel: 3 mg / 1 l.
      See Also:
        `HL7CompoundType.RATIO`, Constant Field Values

    - #### DOUBLE

          public static final String DOUBLE

      Kommazahl. Beispiel: 3.14
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HL7ValueTypeConstants

          public HL7ValueTypeConstants()